import * as plugins from './plugins.js';
import { CloudlyApiClient } from '@serve.zone/api';

export class CliClient {
  public cloudlyApiClient: CloudlyApiClient;

  constructor(cloudlyApiClientArg: CloudlyApiClient) {
    this.cloudlyApiClient = cloudlyApiClientArg;
  }

  public async getClusters() {
    const clusters = await this.cloudlyApiClient.cluster.getClusters();
    console.log(clusters);
  }
}