import * as plugins from './plugins.js';
import { CliClient } from "./classes.cliclient.js";

export const runCli = async () => {
  const cliQenv = new plugins.qenv.Qenv();
  const apiClient = new plugins.servezoneApi.CloudlyApiClient({
    registerAs: 'cli',
    cloudlyUrl: await cliQenv.getEnvVarOnDemand('CLOUDLY_URL'),
  });
  const cliClient = new CliClient(apiClient);
};